﻿ //illustratorを起動させる
#target illustrator 
//スクリプトが実行する仮空間を#targetengineで設定
#targetengine main 

//ウインドウパネルの設定ここから
var win = new Window("dialog","画像に文字列を追加",);
var check01 = win.add("radiobutton",[10,10,150,30]," ファイル名");
var check02 = win.add("radiobutton",[10,40,150,60]," ファイルパス");
var check03 = win.add("radiobutton",[10,70,150,90],"その他テキスト");
var edittext = win.add("edittext",[10,93,150,120],);
var okBtn = win.add("button", [10,130,150,170], "OK");
var noBtn = win.add("button",[10,130,150,170],"キャンセル");
//ウインドウパネルの設定ここまで

//初期設定ここから
check01.value = true;
check02.value = false;
check03.value = false;

//初期設定ここから


noBtn.onClick = function() {
		  win.close();
}
okBtn.onClick = function action() {
    win.close();
     var docObj = activeDocument;
     var selObj = docObj.selection;
     var aLayerObj = docObj.activeLayer;
    var changeText =File.decode (edittext.text);  //入力された文字をテキストに変換
    
    if(selObj>=0){
        var images = docObj.placedItems;
        for (var i=0; i<images.length; i++){
            try{
                images[i].selected = true;
            }catch(e){};
         };
    };
     try {
      //ファイル名の取得ここから
      var imgObj = docObj.selection;
             if(check01.value === true){
            for (var i=0; i<imgObj.length; i++){
            var fileName = imgObj[i].file.name;
            var txtObj = docObj.textFrames.add();
            txtObj.contents = File.decode (fileName);
            txtObj.paragraphs[0].size = 10;
            txtObj.left = imgObj[i].geometricBounds[2];
            txtObj.top = imgObj[i].geometricBounds[3]-5 ;
            txtObj.paragraphs[0].justification = Justification.RIGHT;        
            };
        //ファイル名の取得ここまで
        //ファイルパスの取得ここから
        }else if(check02.value === true){
            for (var i=0; i< imgObj.length; i++){
            var filePath =  imgObj[i].file.fullName;
            var txtObj = docObj.textFrames.add();
            txtObj.contents = File.decode (filePath);
            txtObj.paragraphs[0].size = 10;
            txtObj.left =  imgObj[i].geometricBounds[2];
            txtObj.top =  imgObj[i].geometricBounds[3]-5 ;
            txtObj.paragraphs[0].justification = Justification.RIGHT; 
            };
        //ファイルパスの取得ここまで
        //その他テキストの取得ここから
        }else if(check03.value === true){
             for(var i = 0; i < imgObj.length; i++){
            var filePath =  imgObj[i].file.fullName;                        // エラー判定に用いる
            var txtObj = docObj.textFrames.add();
            txtObj.contents = changeText;
            txtObj.paragraphs[0].size = 10;
            txtObj.left =  imgObj[i].geometricBounds[2];
            txtObj.top =  imgObj[i].geometricBounds[3]-5 ;
            txtObj.paragraphs[0].justification = Justification.RIGHT;
            };
      };
      　//その他テキストの取得ここまで
        }catch(e){
            alert ("リンク画像以外が選択されています。");
        }; 
  
};
/*プロパティの説明ここから
File.decode:エンコードされた文字を元に戻す
placedItems:リンク配置画像
paragraphs:段落
justification:文字揃え
geometricBounds:座標
selected:選択する
selection:選択中のオブジェクト
プロパティの説明ここまで*/
win.center();
win.show();